GNU Radio C++ API Reference: gr::analog::kernel::agc_ff Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::analog::kernel::agc_ff Class Reference

high performance Automatic Gain Control class for float signals. More...

`#include <gnuradio/analog/agc.h>`

## Public Member Functions
| agc_ff (float rate=1e-4, float reference=1.0, float gain=1.0, float max_gain=0.0)
| ~agc_ff ()
float | rate () const
float | reference () const
float | gain () const
float | max_gain () const
void | set_rate (float rate)
void | set_reference (float reference)
void | set_gain (float gain)
void | set_max_gain (float max_gain)
float | scale (float input)
void | scaleN (float output[], const float input[], unsigned n)

## Protected Attributes
float | _rate
float | _reference
float | _gain
float | _max_gain

## Detailed Description

high performance Automatic Gain Control class for float signals.

Power is approximated by absolute value

## Constructor & Destructor Documentation

## ◆ agc_ff()

gr::analog::kernel::agc_ff::agc_ff | ( | float | rate = 1e-4,
|  | float | reference = 1.0,
|  | float | gain = 1.0,
|  | float | max_gain = 0.0 )
| inline

Construct a floating point value AGC loop implementation object.

Parameters

  rate | the update rate of the loop.
  reference | reference value to adjust signal power to.
  gain | initial gain value.
  max_gain | maximum gain value (0 for unlimited).

References _gain, _max_gain, _rate, _reference, gain(), max_gain(), rate(), and reference().

## ◆ ~agc_ff()

gr::analog::kernel::agc_ff::~agc_ff | ( |  | ) |
| inline

## Member Function Documentation

## ◆ gain()

float gr::analog::kernel::agc_ff::gain | ( |  | ) | const
| inline

References _gain.

Referenced by agc_ff(), and set_gain().

## ◆ max_gain()

float gr::analog::kernel::agc_ff::max_gain | ( |  | ) | const
| inline

References _max_gain.

Referenced by agc_ff(), and set_max_gain().

## ◆ rate()

float gr::analog::kernel::agc_ff::rate | ( |  | ) | const
| inline

References _rate.

Referenced by agc_ff(), and set_rate().

## ◆ reference()

float gr::analog::kernel::agc_ff::reference | ( |  | ) | const
| inline

References _reference.

Referenced by agc_ff(), and set_reference().

## ◆ scale()

float gr::analog::kernel::agc_ff::scale | ( | float | input | ) |
| inline

References _gain, _max_gain, _rate, and _reference.

Referenced by scaleN().

## ◆ scaleN()

void gr::analog::kernel::agc_ff::scaleN | ( | float | output[],
|  | const float | input[],
|  | unsigned | n )
| inline

References scale().

## ◆ set_gain()

void gr::analog::kernel::agc_ff::set_gain | ( | float | gain | ) |
| inline

References _gain, and gain().

## ◆ set_max_gain()

void gr::analog::kernel::agc_ff::set_max_gain | ( | float | max_gain | ) |
| inline

References _max_gain, and max_gain().

## ◆ set_rate()

void gr::analog::kernel::agc_ff::set_rate | ( | float | rate | ) |
| inline

References _rate, and rate().

## ◆ set_reference()

void gr::analog::kernel::agc_ff::set_reference | ( | float | reference | ) |
| inline

References _reference, and reference().

## Member Data Documentation

## ◆ _gain

float gr::analog::kernel::agc_ff::_gain
| protected

Referenced by agc_ff(), gain(), scale(), and set_gain().

## ◆ _max_gain

float gr::analog::kernel::agc_ff::_max_gain
| protected

Referenced by agc_ff(), max_gain(), scale(), and set_max_gain().

## ◆ _rate

float gr::analog::kernel::agc_ff::_rate
| protected

Referenced by agc_ff(), rate(), scale(), and set_rate().

## ◆ _reference

float gr::analog::kernel::agc_ff::_reference
| protected

Referenced by agc_ff(), reference(), scale(), and set_reference().

The documentation for this class was generated from the following file:

- agc.h